---
title: msthumbnailclick
slug: Web/API/msthumbnailclick
tags:
  - msthumbnailclick
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>msthumbnailclick</strong></code> event occurs when a user clicks a button or thumbnail icon in the taskbar.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Event Property</th>
   <td>object.onmsthumbnailclick = handler;</td>
  </tr>
  <tr>
   <th scope="row">addEventListener Method</th>
   <td>object.addEventListener("msthumbnailclick", handler, useCapture)</td>
  </tr>
 </tbody>
</table>


<h2 id="General_info">General info</h2>

<dl>
 <dt style="float: left; text-align: right; width: 120px;">Synchronous</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Bubbles</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Cancelable</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
</dl>

<h3 id="Note">Note</h3>

<p>The onmsthumbnailclick event is available only to documents that are launched from a pinned site shortcut. </p>

<h3 id="Parameters">Parameters</h3>

<p><strong>pEvtObj</strong> [in]</p>

<p>Type: <em>IHTMLEventObj</em></p>

<p>Pointer to an IHTMLEventObj interface for the current event.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function thumbnailClickHandler(evt)
{
    alert ("Clicked button: " + evt.buttonID);
}
document.addEventListener('msthumbnailclick', thumbnailClickHandler);
</pre>

<h2 id="Example_2">Example 2</h2>

<pre class="brush: js">// Adds an overlay icon on your app pinned to the taskbar
window.external.msSiteModeSetIconOverlay(iconUri, toolTip);

// removes an overlay icon
window.external.msSiteModeClearIconOverlay();

// pinned icons on your taskbar can be instructed to trigger specific events on your site from the taskbar
// add an event
handlerdocument.addEventListener('msthumbnailclick', onButtonClicked, false);

// add the buttons
var btnPlay = window.external.msSiteModeAddThumbBarButton(iconUri, toolTip);

// refresh the taskbar
window.external.msSiteModeShowThumbBar();

// call a javascript function when the button is pressed
function onButtonClicked(e) {
   switch (e.buttonID) {
     case btnPlay: play();
     break;}
 }
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
